Package Details: telegram-purple-git 1.4.3.r1540.a5d7e24-1

Git Clone URL: https://aur.archlinux.org/telegram-purple-git.git (read-only, click to copy)
Package Base: telegram-purple-git
Description: Adds support for Telegram to Pidgin, Adium, Finch and other Libpurple based messengers.
Upstream URL: https://github.com/majn/telegram-purple
Keywords: finch pidgin protocol purple telegram
Licenses: GPL
Conflicts: telegram-purple
Provides: telegram-purple
Submitter: franciscod
Maintainer: Atomisirsi
Last Packager: Atomisirsi
Votes: 47
Popularity: 0.50
First Submitted: 2014-10-27 18:59
Last Updated: 2019-12-22 12:02

Latest Comments

1 2 3 4 5 6 ... Next › Last »

Atomisirsi commented on 2019-12-21 23:10

The "update loop" problem can be solved by applying the "VCS package guidelines" to the PKGBUILD:

pkgver() { cd "${srcdir}/${_pkgname}" printf "${_ver}.r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)" }

This transforms version "1.4.3.a5d7e24-1" to "1.4.3.r1540.a5d7e24-1".

lyghters commented on 2019-12-17 11:19

A year later we still have "update loop" problem. Instead of a103df3-1 it builds a5d7e24-1

ElNick commented on 2019-10-10 10:14

Git branch tag should be changed 1.4.3, because 1.4.2 does not exist any more

AG_Caesar commented on 2019-01-27 16:37

I have the same error as @guraltsev. Could you please fix the numbering?

guraltsev commented on 2018-12-03 00:42

There is something strange with the version number. The package declares a version of 1.4.0.206ac2c-1 but it builds a package with version 1.4.0.2bf0d8a-1. This causes any aur helper to continuously try to update it.

ChrisLane commented on 2018-06-29 13:02

Could you add 'aarch64' to the architectures or change to 'any', please?

farwayer commented on 2017-06-26 12:33

@vasya try fresh build from scratch

vasya commented on 2017-06-26 12:20

Doesn't build for me right now. It says:
> fatal: 'origin/dev-1.4.0' is not a commit and a branch 'makepkg' cannot be created from it
> ==> ERROR: Failure while creating working copy of telegram-purple git repo

farwayer commented on 2017-06-26 11:17

Updated to dev branch.

franciscod commented on 2017-05-02 15:43

Just disowned this pkg.